//// RemoveAlphaChannels
//   Removes all of the alpha channels from a document
//
// $Id: RemoveAlphaChannels.jsx,v 1.2 2010/03/29 02:23:23 anonymous Exp $
// Copyright: (c)2007, xbytor
// License: http://www.opensource.org/licenses/bsd-license.php
// Contact: xbytor@gmail.com
//
function main() {
  if (app.documents.length == 0) {
    return;
  }
  var doc = app.activeDocument;
  var channelType = doc.activeChannels.type;
  var channels = doc.activeChannels;
  var alphas = [];
  for (var i = 0; i < channels.length; i++) {
    var channel = channels[i];
    if (channel.kind == ChannelType.COMPONENT) {
      continue;
    }
    alphas.push(channel);
  }
  while (alphas.length) {
    var channel = alphas.pop();
    channel.remove();
  }
};
main();
"RemoveAlphaChannels.jsx";
// EOF





function showLayerNames() {
    const app = window.require("photoshop").app;
    const allLayers = app.activeDocument.layers;
    const allLayerNames = allLayers.map(layer => layer.name);
    const sortedNames = allLayerNames.sort((a, b) => a < b ? -1 : a > b ? 1 : 0);
    document.getElementById("layers").innerHTML = `
      <ul>${
        sortedNames.map(name => `<li>${name}</li>`).join("")
      }</ul>`;
}

document.getElementById("btnPopulate").addEventListener("click", showLayerNames)




// TEMPS CV

{
    _obj: "select",
    _target: [
       {
          _ref: "layer",
          _name: "First Flash"
       }
    ],
    selectionModifier: {
       _enum: "selectionModifierType",
       _value: "addToSelectionContinuous"
    },
    makeVisible: false,
    layerID: [
       7,
       4,
       5
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "newPlacedLayer",
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "copyEvent",
    copyHint: "layers",
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "select",
    _target: [
       {
          _ref: "document",
          _offset: -1
       }
    ],
    documentID: 2460,
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "paste",
    inPlace: true,
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "duplicate",
    _target: [
       {
          _ref: "layer",
          _name: "First Flash"
       }
    ],
    to: {
       _ref: "document",
       _name: "DSC_2853 copy.psd"
    },
    version: 5,
    ID: [
       2
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "newDocument",
    documentID: 2500,
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "duplicate",
    _target: [
       {
          _ref: "layer",
          _name: ""
       },
       {
          _ref: "layer",
          _name: "Third Flash"
       },
       {
          _ref: "layer",
          _name: "Second Flash"
       },
       {
          _ref: "layer",
          _name: "First Flash"
       },
       {
          _ref: "layer",
          _name: "First Flash - Smart Object Group"
       }
    ],
    to: {
       _ref: "document",
       _name: "DSC_2853 copy.psd"
    },
    version: 5,
    ID: [
       3,
       4,
       5,
       6,
       7
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "placedLayerConvertToLayers",
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "ungroupLayersEvent",
    _target: [
       {
          _ref: "layer",
          _enum: "ordinal",
          _value: "targetEnum"
       }
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "select",
    _target: [
       {
          _ref: "layer",
          _name: "Background"
       }
    ],
    makeVisible: false,
    layerID: [
       1
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "set",
    _target: [
       {
          _ref: "layer",
          _property: "background"
       }
    ],
    to: {
       _obj: "layer",
       name: "Forth Flash",
       opacity: {
          _unit: "percentUnit",
          _value: 100
       },
       mode: {
          _enum: "blendMode",
          _value: "lighten"
       }
    },
    layerID: 8,
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "make",
    new: {
       _class: "channel"
    },
    at: {
       _ref: "channel",
       _enum: "channel",
       _value: "mask"
    },
    using: {
       _enum: "userMaskEnabled",
       _value: "revealAll"
    },
    _options: {
       dialogOptions: "dontDisplay"
    }
 }



































 // attach event listeners for tabs
Array.from(document.querySelectorAll(".sp-tab")).forEach(theTab => {
  theTab.onclick = () => {
    localStorage.setItem("currentTab", theTab.getAttribute("id"));
    Array.from(document.querySelectorAll(".sp-tab")).forEach(aTab => {
      if (aTab.getAttribute("id") === theTab.getAttribute("id")) {
        aTab.classList.add("selected");
      } else {
        aTab.classList.remove("selected");
      }
    });
    Array.from(document.querySelectorAll(".sp-tab-page")).forEach(tabPage => {
      if (tabPage.getAttribute("id").startsWith(theTab.getAttribute("id"))) {
        tabPage.classList.add("visible");
      } else {
        tabPage.classList.remove("visible");
      }
    });
  }
});
//StartDavesStuff
var app = require('photoshop').app;
var batchPlay = require("photoshop").action.batchPlay;
var core = require('photoshop').core;
var exeModal = require('photoshop').core.executeAsModal;
var psAlert = require('photoshop').core.showAlert;
//Buttons
document.getElementById("lightenConjoinedRoom").addEventListener("click", async function() {
  await exeModal(async function () {
    await batchPlay(
[
    {
      _obj: "set",
      _target: [
         {
            _ref: "channel",
            _property: "selection"
         }
      ],
      to: {
         _enum: "ordinal",
         _value: "allEnum"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "copyEvent",
      copyHint: "pixels",
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "document",
            _offset: -1
         }
      ],
      documentID: 907,
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "paste",
      antiAlias: {
         _enum: "antiAliasType",
         _value: "antiAliasNone"
      },
      as: {
         _class: "pixel"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         mode: {
            _enum: "blendMode",
            _value: "lighten"
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "First Flash"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "make",
      new: {
         _class: "channel"
      },
      at: {
         _ref: "channel",
         _enum: "channel",
         _value: "mask"
      },
      using: {
         _enum: "userMaskEnabled",
         _value: "revealAll"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
     _obj: "select",
     _target: [
        {
           _ref: "layer",
           _name: "Background"
        }
     ],
     makeVisible: false,
     layerID: [
        1
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _property: "background"
        }
     ],
     to: {
        _obj: "layer",
        name: "Second Flash",
        opacity: {
           _unit: "percentUnit",
           _value: 100
        },
        mode: {
           _enum: "blendMode",
           _value: "normal"
        }
     },
     layerID: 7,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "make",
     new: {
        _class: "channel"
     },
     at: {
        _ref: "channel",
        _enum: "channel",
        _value: "mask"
     },
     using: {
        _enum: "userMaskEnabled",
        _value: "revealAll"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  }

],{
   synchronousExecution: true,
   modalBehavior: "execute"
})
})
})

document.getElementById("addThirdRoom").addEventListener("click", async function () {
  await exeModal(async function () {
    await batchPlay(
[
  {
     _obj: "select",
     _target: [
        {
           _ref: "layer",
           _name: "First Flash"
        }
     ],
     selectionModifier: {
        _enum: "selectionModifierType",
        _value: "addToSelectionContinuous"
     },
     makeVisible: false,
     layerID: [
        15,
        14
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  }, //Select First Flash
  {
     _obj: "newPlacedLayer",
     _options: {
        dialogOptions: "dontDisplay"
     }
  }, //Create SmartLayer
  {
     _obj: "copyEvent",
     copyHint: "layers",
     _options: {
        dialogOptions: "dontDisplay"
     }
  }, //Copy SmartLayer
  {
     _obj: "select",
     _target: [
        {
           _ref: "document",
           _offset: -1
        }
     ],
     documentID: 998,
     _options: {
        dialogOptions: "dontDisplay"
     }
  }, //Select activeDocument -1
  {
     _obj: "paste",
     inPlace: true,
     _options: {
        dialogOptions: "dontDisplay"
     }
  }, //Paste Into activeDocument
  // {
  //    _obj: "duplicate",
  //    _target: [
  //       {
  //          _ref: "layer",
  //          _name: "First Flash"
  //       }
  //    ],
  //    to: {
  //       _ref: "document",
  //       _name: "6204 Tangelo Pl 061.psd"
  //    },
  //    version: 5,
  //    ID: [
  //       2
  //    ],
  //    _options: {
  //       dialogOptions: "dontDisplay"
  //    }},
  // {
  //    _obj: "newDocument",
  //    documentID: 1061,
  //    _options: {
  //       dialogOptions: "dontDisplay"
  //    }
  // },
  // {
  //    _obj: "duplicate",
  //    _target: [
  //       {
  //          _ref: "layer",
  //          _name: ""
  //       },
  //       {
  //          _ref: "layer",
  //          _name: "Second Flash"
  //       },
  //       {
  //          _ref: "layer",
  //          _name: "First Flash"
  //       },
  //       {
  //          _ref: "layer",
  //          _name: "First Flash - Smart Object Group"
  //       }
  //    ],
  //    to: {
  //       _ref: "document",
  //       _name: "6204 Tangelo Pl 061.psd"
  //    },
  //    version: 5,
  //    ID: [
  //       3,
  //       4,
  //       5,
  //       6
  //    ],
  //    _options: {
  //       dialogOptions: "dontDisplay"
  //    }
  // },
  {
     _obj: "placedLayerConvertToLayers",
     _options: {
        dialogOptions: "dontDisplay"
     }},  //placedLayerConvertToLayers
  {
     _obj: "ungroupLayersEvent",
     _target: [
        {
           _ref: "layer",
           _enum: "ordinal",
           _value: "targetEnum"
        }
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  },  //ungroupLayersEvent
  {
     _obj: "select",
     _target: [
        {
           _ref: "layer",
           _name: "Background"
        }
     ],
     makeVisible: false,
     layerID: [
        1
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _property: "background"
        }
     ],
     to: {
        _obj: "layer",
        name: "Third Flash",
        opacity: {
           _unit: "percentUnit",
           _value: 100
        },
        mode: {
           _enum: "blendMode",
           _value: "normal"
        }
     },
     layerID: 7,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "make",
     new: {
        _class: "channel"
     },
     at: {
        _ref: "channel",
        _enum: "channel",
        _value: "mask"
     },
     using: {
        _enum: "userMaskEnabled",
        _value: "revealAll"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  }

],{
   synchronousExecution: true,
   modalBehavior: "execute"
})
})
})

document.getElementById("addForthRoom").addEventListener("click", async function () {
  await exeModal(async function () {
    await batchPlay(
[
  {
       _obj: "select",
       _target: [
          {
             _ref: "layer",
             _name: "First Flash"
          }
       ],
       selectionModifier: {
          _enum: "selectionModifierType",
          _value: "addToSelectionContinuous"
       },
       makeVisible: false,
       layerID: [
          7,
          4,
          5
       ],
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "newPlacedLayer",
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "copyEvent",
       copyHint: "layers",
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "select",
       _target: [
          {
             _ref: "document",
             _offset: -1
          }
       ],
       documentID: 2460,
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "paste",
       inPlace: true,
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "placedLayerConvertToLayers",
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "ungroupLayersEvent",
       _target: [
          {
             _ref: "layer",
             _enum: "ordinal",
             _value: "targetEnum"
          }
       ],
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "select",
       _target: [
          {
             _ref: "layer",
             _name: "Background"
          }
       ],
       makeVisible: false,
       layerID: [
          1
       ],
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "set",
       _target: [
          {
             _ref: "layer",
             _property: "background"
          }
       ],
       to: {
          _obj: "layer",
          name: "Forth Flash",
          opacity: {
             _unit: "percentUnit",
             _value: 100
          },
          mode: {
             _enum: "blendMode",
             _value: "lighten"
          }
       },
       layerID: 8,
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
    {
       _obj: "make",
       new: {
          _class: "channel"
       },
       at: {
          _ref: "channel",
          _enum: "channel",
          _value: "mask"
       },
       using: {
          _enum: "userMaskEnabled",
          _value: "revealAll"
       },
       _options: {
          dialogOptions: "dontDisplay"
       }
    },
],{
   synchronousExecution: true,
   modalBehavior: "execute"
})
})
})

document.getElementById("flatten").addEventListener("click", async function () {
  await exeModal(async function () {
    await batchPlay(
[
  {
   _obj: "flattenImage",
   _options: {
      dialogOptions: "dontDisplay"
   }
},

],{
   synchronousExecution: true,
   modalBehavior: "execute"
})
})
})

document.getElementById("Flambient").addEventListener("click", async function () {
  await exeModal(async function () {
    await batchPlay(
[
  {
     _obj: "set",
     _target: [
        {
           _ref: "channel",
           _property: "selection"
        }
     ],
     to: {
        _enum: "ordinal",
        _value: "allEnum"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "copyEvent",
     copyHint: "pixels",
     _options: {
        dialogOptions: "dontDisplay"
     }
  },

                                          //Move to next Document

  {
     _obj: "select",
     _target: [
        {
           _ref: "document",
           _offset: -1
        }
     ],
     documentID: 2001,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "paste",
     inPlace: true,
     antiAlias: {
        _enum: "antiAliasType",
        _value: "antiAliasNone"
     },
     as: {
        _class: "pixel"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _enum: "ordinal",
           _value: "targetEnum"
        }
     ],
     to: {
        _obj: "layer",
        name: "Flash"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "select",
     _target: [
        {
           _ref: "layer",
           _name: "Background"
        }
     ],
     makeVisible: false,
     layerID: [
        1
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _property: "background"
        }
     ],
     to: {
        _obj: "layer",
        name: "Ambient",
        opacity: {
           _unit: "percentUnit",
           _value: 100
        },
        mode: {
           _enum: "blendMode",
           _value: "luminosity"
        }
     },
     layerID: 64,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "select",
     _target: [
        {
           _ref: "layer",
           _name: "Flash"
        }
     ],
     makeVisible: false,
     layerID: [
        63
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _enum: "ordinal",
           _value: "targetEnum"
        }
     ],
     to: {
        _obj: "layer",
        mode: {
           _enum: "blendMode",
           _value: "blendSubtraction"
        }
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "colorRange",
     fuzziness: 100,
     minimum: {
        _obj: "labColor",
        luminance: 0,
        a: 0,
        b: 0
     },
     maximum: {
        _obj: "labColor",
        luminance: 0,
        a: 0,
        b: 0
     },
     colorModel: 0,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _enum: "ordinal",
           _value: "targetEnum"
        }
     ],
     to: {
        _obj: "layer",
        mode: {
           _enum: "blendMode",
           _value: "darken"
        }
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "mergeVisible",
     duplicate: true,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "make",
     new: {
        _class: "channel"
     },
     at: {
        _ref: "channel",
        _enum: "channel",
        _value: "mask"
     },
     using: {
        _enum: "userMaskEnabled",
        _value: "revealSelection"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
    _obj: "select",
    _target: [
       {
          _ref: "layer",
          _name: "Flash"
       }
    ],
    makeVisible: false,
    layerID: [
       66
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "set",
    _target: [
       {
          _ref: "layer",
          _enum: "ordinal",
          _value: "targetEnum"
       }
    ],
    to: {
       _obj: "layer",
       mode: {
          _enum: "blendMode",
          _value: "normal"
       }
    },
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "move",
    _target: [
       {
          _ref: "layer",
          _enum: "ordinal",
          _value: "targetEnum"
       }
    ],
    to: {
       _ref: "layer",
       _index: 0
    },
    adjustment: false,
    version: 5,
    layerID: [
       66
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "select",
    _target: [
       {
          _ref: "channel",
          _enum: "channel",
          _value: "mask"
       },
       {
          _ref: "layer",
          _name: "Layer 1"
       }
    ],
    makeVisible: false,
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "invert",
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
      _obj: "select",
      _target: [
         {
            _ref: "channel",
            _enum: "channel",
            _value: "RGB"
         }
      ],
      makeVisible: false,
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Highlight / Window Mask"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "layer",
            _name: "Ambient"
         }
      ],
      makeVisible: false,
      layerID: [
         7
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Ambient Luminosity"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "copyToLayer",
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Ambient Color"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         mode: {
            _enum: "blendMode",
            _value: "color"
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         fillOpacity: {
            _unit: "percentUnit",
            _value: 50
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "layer",
            _name: "Ambient Luminosity"
         }
      ],
      makeVisible: false,
      layerID: [
         7
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         fillOpacity: {
            _unit: "percentUnit",
            _value: 100
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
    {
      _obj: "select",
      _target: [
         {
            _ref: "layer",
            _name: "Flash"
         }
      ],
      makeVisible: false,
      layerID: [
         12
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Flash Color"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "copyToLayer",
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Flash"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "move",
      _target: [
         {
            _ref: "layer",
            _name: "Flash Color"
         }
      ],
      to: {
         _ref: "layer",
         _index: 5
      },
      adjustment: false,
      version: 5,
      layerID: [
         12
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         mode: {
            _enum: "blendMode",
            _value: "color"
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         opacity: {
            _unit: "percentUnit",
            _value: 50
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "move",
      _target: [
         {
            _ref: "layer",
            _name: "Ambient Color"
         }
      ],
      to: {
         _ref: "layer",
         _index: 3                                   //Location of Ambient Color Layer 
      },
      adjustment: false,
      version: 5,
      layerID: [
         15
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "channel",
            _enum: "channel",
            _value: "mask"
         },
         {
            _ref: "layer",
            _name: "Highlight / Window Mask"
         }
      ],
      makeVisible: false,
      _options: {
         dialogOptions: "dontDisplay"
      }
   },

//This performs the user setup post batchPlay

   {
      _obj: "select",
      _target: [
         {
            _ref: "channel",
            _enum: "channel",
            _value: "mask"
         },
         {
            _ref: "layer",
            _name: "Highlight / Window Mask"
         }
      ],
      makeVisible: false,
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "paintbrushTool"
         }
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "reset",
      _target: [
         {
            _ref: "color",
            _property: "colors"
         }
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "exchange",
      _target: [
         {
            _ref: "color",
            _property: "colors"
         }
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   // {                                               // Next Doc Payload
   //    _obj: "select",
   //    _target: [
   //       {
   //          _ref: "document",
   //          _offset: -1
   //       }
   //    ],
   //    documentID: 3543,
   //    _options: {
   //       dialogOptions: "dontDisplay"
   //    }  
   // },
],{
   synchronousExecution: true,
   modalBehavior: "execute"
})
})
})
;
